Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.vr
Class QTVRInterceptRecord

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.vr.QTVRInterceptRecord

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class QTVRInterceptRecord
extends QTPointerRef
implements quicktime.jdirect.PrimitivesLib

The QTVRInterceptRecord is passed to the QTVRInterceptor's exeucte method by QuickTime. The application can look at the about to occur change in the VR movie through the parameters of this record and can in turn call the VR interceptor method itself with any particular changes it wants to make, passing the QTVRInterceptor record to this method.

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`float` | `getAngle()` Returns the pan or tilt angle, depending on the selector.
`float` | `getFieldOfView()` Returns the field of view for the kQTVRSetFieldOfViewSelector.
`int` | `getHotSpotID()` Gets the hot spot ID.
`int` | `getHotSpotType()` Gets the hot spot type.
`int` | `getParamCount()` This returns the number of parameters in a particular instance.
`int` | `getSelector()` This returns the selector which will in turn describe the parameters that this record will contain.
`QDPoint` | `getViewCenter()` Returns the field of view for the kQTVRSetViewCenterSelector.
`void` | `setAngle(float angle)` Sets the pan or tilt angle, depending on the selector.
`void` | `setFieldOfView(float fieldOfView)` Sets the field of view for the kQTVRSetFieldOfViewSelector.
`void` | `setHotSpotID(int hotSpotID)` Sets the hot spot ID.
`void` | `setHotSpotType(int hotSpotType)` Sets the hot spot type.
`void` | `setViewCenter(QDPoint viewCenter)` Sets the field of view for the kQTVRSetViewCenterSelector.
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, getSize`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSelector

    public final int getSelector()

  This returns the selector which will in turn describe the parameters that this record will contain. This is a read only field.
  Returns:
    an int

### getParamCount

    public final int getParamCount()

  This returns the number of parameters in a particular instance. The number of parameters are dependent on the given selector. This is a read only field.
  Returns:
    an int

### getAngle

    public float getAngle()
                   throws QTException

  Returns the pan or tilt angle, depending on the selector. If the selector is not kQTVRSetPanAngleSelector or kQTVRSetTiltAngleSelector a paramError QTException is thrown.
  Returns:
    the angle in Radians.

### setAngle

    public void setAngle(float angle)
                  throws QTException

  Sets the pan or tilt angle, depending on the selector. If the selector is not kQTVRSetPanAngleSelector or kQTVRSetTiltAngleSelector a paramError QTException is thrown.
  Parameters:
    `angle` - the angle in Radians.

### getFieldOfView

    public float getFieldOfView()
                         throws QTException

  Returns the field of view for the kQTVRSetFieldOfViewSelector. If the selector is not kQTVRSetFieldOfViewSelector a paramError QTException is thrown.
  Returns:
    the field of view

### setFieldOfView

    public void setFieldOfView(float fieldOfView)
                        throws QTException

  Sets the field of view for the kQTVRSetFieldOfViewSelector. If the selector is not kQTVRSetFieldOfViewSelector a paramError QTException is thrown.
  Parameters:
    `fieldOfView` - the field of view

### getViewCenter

    public QDPoint getViewCenter()
                          throws QTException

  Returns the field of view for the kQTVRSetViewCenterSelector. If the selector is not kQTVRSetViewCenterSelector a paramError QTException is thrown.
  Returns:
    the current view center

### setViewCenter

    public void setViewCenter(QDPoint viewCenter)
                       throws QTException

  Sets the field of view for the kQTVRSetViewCenterSelector. If the selector is not kQTVRSetViewCenterSelector a paramError QTException is thrown.
  Parameters:
    `viewCenter` - the new view center

### getHotSpotID

    public int getHotSpotID()
                     throws QTException

  Gets the hot spot ID. If the selector is not kQTVRTriggerHotSpotSelector or kQTVRGetHotSpotTypeSelector a paramError QTException is thrown.
  Returns:
    the hot spot ID

### setHotSpotID

    public void setHotSpotID(int hotSpotID)
                      throws QTException

  Sets the hot spot ID. If the selector is not kQTVRTriggerHotSpotSelector or kQTVRGetHotSpotTypeSelector a paramError QTException is thrown.
  Parameters:
    `hotSpotID` - the new hot spot ID

### getHotSpotType

    public int getHotSpotType()
                       throws QTException

  Gets the hot spot type. If the selector is not kQTVRGetHotSpotTypeSelector a paramError QTException is thrown.
  Returns:
    the hot spot type

### setHotSpotType

    public void setHotSpotType(int hotSpotType)
                        throws QTException

  Sets the hot spot type. If the selector is not kQTVRGetHotSpotTypeSelector a paramError QTException is thrown.
  Parameters:
    `hotSpotType` - the new hot spot type

### toString

    public java.lang.String toString()

  Returns a String representation of this object.
  Overrides:
    `toString` in class `QTPointerRef`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD